CREATE DATABASE IF NOT EXISTS antispam;

USE antispam;

CREATE TABLE `aplicacionregla` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `IDREGLA` int(10) unsigned default NULL,
  `FECHAULTIMA` datetime default NULL,
  `DATO` varchar(250) default NULL,
  `IDEMAIL` varchar(250) default NULL,
  `OPERADOR` varchar(20) default NULL,
  `TIPO` varchar(100) default NULL,
  PRIMARY KEY  (`ID`)
);

CREATE TABLE `aplicacionreglaalm` (
  `ID` int(10) unsigned default NULL,
  `IDREGLA` int(10) unsigned default NULL,
  `FECHAULTIMA` datetime default NULL,
  `DATO` varchar(250) default NULL,
  `IDEMAIL` varchar(250) default NULL,
  `OPERADOR` varchar(20) default NULL,
  `TIPO` varchar(100) default NULL
);

CREATE TABLE `asuntoconfianza` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `ASUNTO` varchar(250) default NULL,
  `EMAIL` varchar(250) default NULL,
  `FECHA` datetime default NULL,
  `ACTIVO` char(1) default 'S',
  PRIMARY KEY  (`ID`)
);

CREATE TABLE `confianza` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `EMAIL` varchar(250) default NULL,
  `NOMBRE` varchar(100) default NULL,
  `FECHAALTA` datetime default NULL,
  `ACTIVO` char(1) default 'S',
  `IP` varchar(50) default NULL,
  `FECHACAMBIOIP` datetime default NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `IN_EMAIL_CONFIANZA` USING HASH (`EMAIL`)
);

CREATE TABLE `criteriosspam` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `TIPO` varchar(100) default NULL,
  `DATO` varchar(250) default NULL,
  `OPERADOR` varchar(20) default NULL,
  `FECHAALTA` datetime default NULL,
  `ACTIVO` char(1) default NULL,
  `FECHAULTIMOUSO` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `Index_2` (`DATO`),
  KEY `Index_3` (`TIPO`)
);

CREATE TABLE `criteriosspamalm` (
  `ID` int(10) unsigned NOT NULL default '0',
  `TIPO` varchar(100) default NULL,
  `DATO` varchar(250) default NULL,
  `OPERADOR` varchar(20) default NULL,
  `FECHAALTA` datetime default NULL,
  `ACTIVO` char(1) default NULL,
  `FECHAULTIMOUSO` datetime default NULL,
  KEY `Index_2` (`DATO`),
  KEY `Index_3` (`TIPO`)
);

CREATE TABLE `cuentas` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `EMAIL` varchar(250) default NULL,
  `IDENTIFICATIVO` varchar(45) default NULL,
  `POP3` varchar(100) default NULL,
  `USUARIO` varchar(100) default NULL,
  `CONTRASENA` varchar(100) default NULL,
  `PREDETERMINADA` char(1) default 'N',
  `ACTIVA` char(1) default 'S',
  `FECHAALTA` datetime default NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `IN_EMAIL_CUENTAS` USING HASH (`EMAIL`)
);


CREATE TABLE `historico` (
  `ID` varchar(250) default NULL,
  `FECHA` datetime default NULL,
  `ASUNTO` varchar(250) default NULL,
  `TAMANO` double default NULL,
  `ADJUNTO` varchar(250) default NULL,
  `IP` varchar(50) default NULL,
  `PARA` varchar(250) default NULL,
  `POP3` varchar(100) default NULL,
  `USUARIO` varchar(100) default NULL,
  `CONTRASENA` varchar(100) default NULL,
  `SPAM` char(1) default NULL,
  `ELIMINADO` char(1) default NULL,
  `DETALLE` text,
  `TIPOREGLA` varchar(100) default NULL,
  `IDAUTO` int(10) unsigned NOT NULL auto_increment,
  `FECHAELIMINACION` datetime default NULL,
  `FECHALECTURA` datetime default NULL,
  `DESDE` varchar(100) default NULL,
  `FECHAARCHIVO` datetime default NULL,
  `CONTENIDO1` text,
  `CONTENIDO2` text,
  `CONTENIDO3` text,
  `SERVIDOR` varchar(100) NOT NULL default '',
  `NUMERO` int(10) unsigned default NULL,
  `DESDENOMBRE` varchar(250) default NULL,
  `EMAILPARA` varchar(250) default NULL,
  `CONTENIDO4` text,
  `CONTENIDO5` text,
  `CONTENIDO6` text,
  PRIMARY KEY  (`IDAUTO`)
);

CREATE TABLE `historicoalm` (
  `ID` varchar(250) default NULL,
  `FECHA` datetime default NULL,
  `ASUNTO` varchar(250) default NULL,
  `TAMANO` double default NULL,
  `ADJUNTO` varchar(250) default NULL,
  `IP` varchar(50) default NULL,
  `PARA` varchar(250) default NULL,
  `POP3` varchar(100) default NULL,
  `USUARIO` varchar(100) default NULL,
  `CONTRASENA` varchar(100) default NULL,
  `SPAM` char(1) default NULL,
  `ELIMINADO` char(1) default NULL,
  `DETALLE` text,
  `TIPOREGLA` varchar(100) default NULL,
  `IDAUTO` int(10) unsigned default NULL,
  `FECHAELIMINACION` datetime default NULL,
  `FECHALECTURA` datetime default NULL,
  `DESDE` varchar(100) default NULL,
  `FECHAARCHIVO` datetime default NULL,
  `CONTENIDO1` text,
  `CONTENIDO2` text,
  `CONTENIDO3` text,
  `SERVIDOR` varchar(100) default NULL,
  `NUMERO` int(10) unsigned default NULL,
  `DESDENOMBRE` varchar(250) default NULL,
  `EMAILPARA` varchar(250) default NULL,
  `CONTENIDO4` text,
  `CONTENIDO5` text,
  `CONTENIDO6` text
);

CREATE TABLE `historicolog` (
  `ID` int(10) unsigned default NULL,
  `FECHA` datetime default NULL,
  `TEXTO` varchar(255) default NULL,
  `TIPO` varchar(20) default NULL
);

CREATE TABLE `log` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `FECHA` datetime default NULL,
  `TEXTO` varchar(255) default NULL,
  `TIPO` varchar(20) default NULL,
  PRIMARY KEY  (`ID`)
);

CREATE TABLE `recibidos` (
  `ID` varchar(250) default NULL,
  `FECHA` datetime default NULL,
  `ASUNTO` varchar(250) default NULL,
  `TAMANO` double default NULL,
  `ADJUNTO` varchar(250) default NULL,
  `IP` varchar(50) default NULL,
  `PARA` varchar(250) default NULL,
  `POP3` varchar(100) default NULL,
  `USUARIO` varchar(100) default NULL,
  `CONTRASENA` varchar(100) default NULL,
  `SPAM` char(1) default 'N',
  `ELIMINADO` char(1) default 'N',
  `DETALLE` text,
  `TIPOREGLA` varchar(100) default NULL,
  `IDAUTO` int(10) unsigned NOT NULL auto_increment,
  `FECHAELIMINACION` datetime default NULL,
  `FECHALECTURA` datetime default NULL,
  `DESDE` varchar(100) default NULL,
  `CONTENIDO1` text,
  `CONTENIDO2` text,
  `CONTENIDO3` text,
  `SERVIDOR` varchar(100) default NULL,
  `NUMERO` int(10) unsigned default NULL,
  `DESDENOMBRE` varchar(250) default NULL,
  `EMAILPARA` varchar(250) default NULL,
  `CONTENIDO4` text,
  `CONTENIDO5` text,
  `CONTENIDO6` text,
  PRIMARY KEY  (`IDAUTO`)
);

CREATE TABLE `servidorespop` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `NOMBRE` varchar(50) default NULL,
  `IP` varchar(45) default NULL,
  `CONFIANZA` char(1) default 'N',
  `FECHAALTA` datetime default NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `IN_NOMBRE_SERVIDORESPOP` USING HASH (`NOMBRE`)
);